By default, it returns only settings that have been explicitly defined.
Required authorization
- Cluster privileges:
monitor
Query parameters
-
If
true, returns settings in flat format.Default value is
false. -
If
true, also returns default values for all other cluster settings, reflecting the values in theelasticsearch.ymlfile of one of the nodes in the cluster. If the nodes in your cluster do not all have the same values in theirelasticsearch.ymlconfig files then the values returned by this API may vary from invocation to invocation and may not reflect the values that Elasticsearch uses in all situations. Use theGET _nodes/settingsAPI to fetch the settings for each individual node in your cluster.Default value is
false. -
Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.
Default value is
30s. -
Period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.
Default value is
30s.
GET /_cluster/settings?filter_path=persistent.cluster.remote
resp = client.cluster.get_settings(
filter_path="persistent.cluster.remote",
)
const response = await client.cluster.getSettings({
filter_path: "persistent.cluster.remote",
});
response = client.cluster.get_settings(
filter_path: "persistent.cluster.remote"
)
$resp = $client->cluster()->getSettings([
"filter_path" => "persistent.cluster.remote",
]);
curl -X GET -H "Authorization: ApiKey $ELASTIC_API_KEY" "$ELASTICSEARCH_URL/_cluster/settings?filter_path=persistent.cluster.remote"
var response = await client.Cluster.GetSettingsAsync();